---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1SliderRenderer.html">SliderRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tgui::SliderRenderer Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classtgui_1_1SliderRenderer.html">tgui::SliderRenderer</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html#a6c42822ce84bce93ff85ef8c9e53bdac">getBorders</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html#a478f29a018db6400dd68b18923b520f8">getProperty</a>(std::string property) const  override</td><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html">tgui::SliderRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html#a6e7e2bdff42112cce4b689e3cd06d823">getPropertyValuePairs</a>() const  override</td><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html">tgui::SliderRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html#a0edf4e8721be889467048a8746b3dfc2">setBorderColor</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html">tgui::SliderRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html#a75128d6d549e479c4b455afc77a75f9e">setBorders</a>(const Borders &amp;borders)</td><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html#a19f9c75a3091e3812a1ed997e4b33260">setBorders</a>(float leftBorder, float topBorder, float rightBorder, float bottomBorder)</td><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html#ab1a3bd4fee10eb2dcab6bce06efcea45">setBorders</a>(float width, float height)</td><td class="entry"><a class="el" href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html#ad4e7af532366d1cb8c4310443be824d9">setProperty</a>(std::string property, const std::string &amp;value) override</td><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html">tgui::SliderRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html#a739ebd1509dce34061ecbfded4e0faad">setProperty</a>(std::string property, ObjectConverter &amp;&amp;value) override</td><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html">tgui::SliderRenderer</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html#ac1625739103ec784d5cc76d1e120cb3c">setThumbColor</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html">tgui::SliderRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html#a4f6b2c318731ec8d9c0472e9cbeabef4">setThumbColorHover</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html">tgui::SliderRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html#aff8ea9fba46bf466ed1d2e8d4e3e6134">setThumbColorNormal</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html">tgui::SliderRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html#a2588ff893f2e181b3d2112e4847fd780">setThumbHoverTexture</a>(const Texture &amp;texture)</td><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html">tgui::SliderRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html#af89ee601abb386983300ad3979171a6a">setThumbTexture</a>(const Texture &amp;texture)</td><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html">tgui::SliderRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html#a510a52aee32827f3a38a24a5d1b61099">setTrackColor</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html">tgui::SliderRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html#ad0186e1c24b83cba61f8c8ff06bf4e9e">setTrackColorHover</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html">tgui::SliderRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html#ac95cbeb47a60b8f128bb7dcbc0c42622">setTrackColorNormal</a>(const Color &amp;color)</td><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html">tgui::SliderRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html#ad37640e8e723917d09b01f4a989de9c8">setTrackHoverTexture</a>(const Texture &amp;texture)</td><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html">tgui::SliderRenderer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html#a3a9dfb270d4eab95ca8f8b588bd67c3f">setTrackTexture</a>(const Texture &amp;texture)</td><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html">tgui::SliderRenderer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html#a96e018410e3b29179eafd0321414ca88">SliderRenderer</a>(Slider *slider)</td><td class="entry"><a class="el" href="classtgui_1_1SliderRenderer.html">tgui::SliderRenderer</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a>()</td><td class="entry"><a class="el" href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:45 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
